.QrTool {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
}

.container {
    position: relative;
}

.QrScanner {
    width: 50%;
    min-height: 350px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    border: 1.5px dashed #d3d3d3;
    overflow-y: auto;
}

.QrResultDiv {
    position: relative;
    width: 50%;
}

.QrResult {
    width: 100%;
    max-height: 350px;
    min-height: 350px;
    background-color: #fff;
    border: 1.5px solid #d3d3d3;
    padding: 16px;
    overflow-y: auto;
}

.QrResult span {
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: #757575;
}

.QrResult .extractUrl {
    display: none;
    cursor: pointer;
}

.extractUrl label {
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    color: #757575;
}

.ResultContent {
    padding: 8px 12px;
    background: #f9f9f9;
    display: flex;
    justify-content: space-between;
    gap: 15px;
    align-items: start;

    & .linkShow {
        overflow-wrap: break-word;
        word-break: break-word;
    }
}

.ResultContent button {
    width: 60px;
    height: 32px;
    padding: 6px 12px;
    border: 1px solid #3f474f;
    background: #3f474f;
    cursor: pointer;
    position: relative;
    color: white;
    border-radius: 6px;
}

html[lang="vi"] .ResultContent button {
    min-width: 85px;
}

.ResultContent button:hover {
    border: 1px solid #24292e;
    background: #24292e;
}

.ResultContent .copy .copyToolTip {
    display: none;
    position: absolute;
    bottom: 35px;
    right: 4px;
    background: #f9f9f9;
    padding: 2px 5px;
    border-radius: 8px;
    border: 1px solid #ddd;
    font-size: 12px;
}

.ResultContent p {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.ResultContent a {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    text-decoration: underline;
    color: #0000ee;
}

.text-result {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: #24292e;
    word-break: break-word;
}

.selectFileHeading {
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    text-align: center;
}

.actionOption,
.actionOption button {
    display: flex;
    align-items: center;
    gap: 8px;
}

.actionOption button {
    width: auto;
    height: 36px;
    padding: 8px 16px 8px 12px;
    border: 1px solid #d3d3d3;
    background-color: transparent;
    cursor: pointer;
    -webkit-appearance: none;
    appearance: none;
    border-radius: 6px;
}

.actionOption button img {
    width: 20px;
    height: 20px;
}

.actionOption button span {
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: #24292e;
}

.set-section {
    position: absolute;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 0px;
    align-items: center;
    color: white;
    z-index: 90;
    bottom: 10px;
}

.after-upload-preview {
    bottom: 40% !important;
}

.output-container {
    padding: unset;
    margin-bottom: 1rem;
}

.output-box {
    margin-bottom: 1rem;
    border: 1px solid #d3d3d3;
    background-color: white;
    min-height: 50px;
    padding: 10px;
}

#qr_scanner {
    position: relative;
    display: none;
    height: auto;
    min-height: 250px;
}

#qr_scanner:has(video)~.scanning-line {
    position: absolute;
    top: 50%;
    width: 78%;
    left: 12%;
    height: 4px;
    background: radial-gradient(red 24%, transparent 50%);
    animation: scanning 2s ease-in-out infinite alternate;
}

video {
    width: 100% !important;
    height: 330px !important;
    background: none;
    object-fit: cover;
}

.permission-issue,
.camera-issue {
    position: relative;
    top: 0;
    background: no-repeat;
    color: black;
    font-size: 16px;
    margin: 0 auto;
    text-align: center;
    max-width: 100%;
    cursor: pointer;
}

.camera-permission-issue {
    padding-left: 12px;
    text-align: left;
    text-decoration: none;
}

.camera-permission-issue h3,
.camera-permission-issue p {
    margin: 5px;
    padding: 0;
}

#uploadPreview {
    width: 100%;
    height: auto;
    max-width: 300px;
    border-radius: 8px;
    border: 2px solid #eee;
}

.QrScanner {
    overflow: hidden;
}

@keyframes scanning {
    0% {
        top: 30%;
    }

    100% {
        top: 75%;
    }
}

@keyframes moveUpDown {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-2px);
    }

    100% {
        transform: translateY(0);
    }
}

.p-relative {
    position: relative;
}

.closeIcon {
    position: absolute;
    top: 0;
    right: 0;
    display: none;
    cursor: pointer;
}

.clear {
    display: none;
    cursor: pointer;
    text-align: right;
    margin-bottom: 7px;
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
    color: #24292e;
    position: absolute;
    top: -25px;
    right: 0;
}

@media screen and (max-width: 768px) {
    .QrTool {
        flex-direction: column;
    }

    .QrResultDiv {
        margin-top: 25px;
        width: 95%;
    }

    .QrScanner {
        width: 95%;
    }

    .ResultContent {
        flex-wrap: wrap;
    }

    h2:first-child {
        margin-bottom: 45px !important;
    }

    .clear {
        top: -27px;
    }
}

.actionOption.before-upload {
    display: none;
}

.actionsScanner {
    width: 100%;
}

.white-btn {
    margin-top: -10px !important;
}

.selectFileHeading {
    margin-bottom: 100px !important;
}

@media screen and (max-width: 767px) {
    .actionOption.before-upload {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 12px;
        margin: 20px 0;
    }

    .actionOption button {
        width: 100%;
        max-width: 200px;
        justify-content: center;
        height: 42px;
    }

    .upload-paste-btns {
        display: none !important;
    }

    .selectFileHeading {
        margin-bottom: 10px !important;
    }
}